//--------------------------------------------------------------------
// AgeOfInnocence.cs  2001 by Charles Petzold; text by Edith Wharton
//--------------------------------------------------------------------
class AgeOfInnocence
{
     public static string Text
     {
          get
          {
               return

"On a January evening of the early seventies, Christine Nilsson was " +
"singing in Faust at the Academy of Music in New York." +
"\n" +
"\tThough there was already talk of the erection, in remote metropolitan " +
"distances \"above the Forties,\" of a new Opera House which should " +
"compete in costliness and splendour with those of the great European " +
"capitals, the world of fashion was still content to reassemble every " +
"winter in the shabby red and gold boxes of the sociable old Academy. " +
"Conservatives cherished it for being small and inconvenient, and thus " +
"keeping out the \"new people\" whom New York was beginning to dread and " +
"yet be drawn to; and the sentimental clung to it for its historic " +
"associations, and the musical for its excellent acoustics, always so " +
"problematic a quality in halls built for the hearing of music." +
"\n" +
"\tIt was Madame Nilsson's first appearance that winter, and what the " +
"daily press had already learned to describe as \"an exceptionally " +
"brilliant audience\" had gathered to hear her, transported through the " +
"slippery, snowy streets in private broughams, in the spacious family " +
"landau, or in the humbler but more convenient \"Brown &c&o&u&p&.\" To " +
"come to the Opera in a Brown &c&o&u&p& was almost as honourable a way " +
"of arriving as in one's own carriage; and departure by the same means " +
"had the immense advantage of enabling one (with a playful allusion to " +
"democratic principles) to scramble into the first Brown conveyance in " +
"the line, instead of waiting till the cold-and-gin congested nose of " +
"one's own coachman gleamed under the portico of the Academy. It was one " +
"of the great livery-stableman's most masterly intuitions to have " +
"discovered that Americans want to get away from amusement even more " +
"quickly than they want to get to it." +
"\n" +
"\tWhen Newland Archer opened the door at the back of the club box the " +
"curtain had just gone up on the garden scene. There was no reason why " +
"the young man should not have come earlier, for he had dined at seven, " +
"alone with his mother and sister, and had lingered afterward over a " +
"cigar in the Gothic library with glazed black-walnut bookcases and " +
"finial-topped chairs which was the only room in the house where Mrs. " +
"Archer allowed smoking. But, in the first place, New York was a " +
"metropolis, and perfectly aware that in metropolises it was \"not the " +
"thing\" to arrive early at the opera; and what was or was not \"the " +
"thing\" played a part as important in Newland Archer's New York as the " +
"inscrutable totem terrors that had ruled the destinies of his " +
"forefathers thousands of years ago." +
"\n" +
"\tThe second reason for his delay was a personal one. He had dawdled " +
"over his cigar because he was at heart a dilettante, and thinking over a " +
"pleasure to come often gave him a subtler satisfaction than its " +
"realisation. This was especially the case when the pleasure was a " +
"delicate one, as his pleasures mostly were; and on this occasion the " +
"moment he looked forward to was so rare and exquisite in quality " +
"that\x2014well, if he had timed his arrival in accord with the prima " +
"donna's stage-manager he could not have entered the Academy at a more " +
"significant moment than just as she was singing: \"He loves me\x2014he " +
"loves me not\x2014&h&e& &l&o&v&e&s& &m&e!\" and sprinkling the falling " +
"daisy petals with notes as clear as dew." +
"\n";
          }
     }
}